Name:           dnscrypt-proxy
Version:        1.9.4
Release:        %mkrel 1
Summary:        A protocol for securing communications between a client and a DNS resolver
License:        BSD
Group:          Networking/Other
Url:            https://github.com/jedisct1/dnscrypt-proxy

Source0:        %{name}-%{version}.tar.bz2
Source1:        %{name}.service
Source2:        %{name}.socket

BuildRequires:  gawk
BuildRequires:  sed
BuildRequires:  grep
BuildRequires:  sodium-devel
BuildRequires:  systemd-devel

Requires(post):  rpm-helper
Requires(preun): rpm-helper

Recommends:     unbound

%description
Dnscrypt-proxy provides local service which can be used directly as
your local resolver or as a DNS forwarder, encrypting and
authenticating requests using the DNSCrypt protocol and passing them
to an upstream server. The DNSCrypt protocol uses high-speed
high-security elliptic-curve cryptography and is very similar to
DNSCurve, but focuses on securing communications between a client and
its first-level resolver. While not providing end-to-end security, it
protects the local network, which is often the weakest point of the
chain, against man-in-the-middle attacks. It also provides some
confidentiality to DNS queries.

%prep
%setup -q

%build
%configure2_5x  --enable-static=no --with-systemd
%make

%install
%makeinstall
%__install -D -p -m 0644 %{SOURCE1} %{buildroot}%{_unitdir}/%{name}.service
%__install -D -p -m 0644 %{SOURCE2} %{buildroot}%{_unitdir}/%{name}.socket

find %{buildroot}%{_libdir} -name *.la -delete

%post
%_post_service %{name}

%preun
%_preun_service %{name}


%files
%doc AUTHORS README.markdown README-PLUGINS.markdown THANKS
%config(noreplace) %{_sysconfdir}/dnscrypt-proxy.conf
%{_unitdir}/%{name}.service
%{_unitdir}/%{name}.socket
%{_sbindir}/%{name}
%{_bindir}/hostip
#to be splitted in -devel
%{_libdir}/%{name}/*.so
%{_includedir}/dnscrypt/*.h
%{_mandir}/man8/%{name}.8*
%{_mandir}/man8/hostip.8*
%{_datadir}/%{name}/dnscrypt-resolvers.csv
%{_datadir}/%{name}/minisign.pub
%{_docdir}/%{name}/COPYING
%{_docdir}/%{name}/DNSCRYPT-V2-PROTOCOL.txt
%{_docdir}/%{name}/dnscrypt-proxy.conf


%changelog
* Mon Feb 06 2017 eatdirt <eatdirt> 1.9.4-1.mga6
+ Revision: 1085002
- Upgrade to version 1.6.4

* Fri Jan 20 2017 eatdirt <eatdirt> 1.9.3-1.mga6
+ Revision: 1082501
- Upgrade to version 1.9.3

* Fri Jan 13 2017 eatdirt <eatdirt> 1.9.1-1.mga6
+ Revision: 1081498
- Upgrade to version 1.9.1

* Mon Oct 10 2016 eatdirt <eatdirt> 1.7.0-1.mga6
+ Revision: 1059960
- Upgrading dnscrypt-proxy to 1.7.0

* Tue Mar 08 2016 eatdirt <eatdirt> 1.6.1-1.mga6
+ Revision: 987413
- Upgrade to version 1.6.1

* Mon Dec 28 2015 daviddavid <daviddavid> 1.6.0-3.mga6
+ Revision: 916300
- rebuild for new sodium 1.0.8

* Sat Oct 24 2015 eatdirt <eatdirt> 1.6.0-2.mga6
+ Revision: 894951
- Add systemd working configuration files

* Tue Sep 29 2015 eatdirt <eatdirt> 1.6.0-1.mga6
+ Revision: 885212
- Upgrade to version 1.6.0

* Wed Apr 01 2015 eatdirt <eatdirt> 1.4.3-1.mga6
+ Revision: 819486
- Upgrade to version 1.4.3, support to systemd added

* Wed Oct 15 2014 umeabot <umeabot> 0.8-5.mga5
+ Revision: 745316
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8-4.mga5
+ Revision: 678777
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.8-3.mga4
+ Revision: 503878
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.8-2.mga3
+ Revision: 348903
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 28 2012 blino <blino> 0.8-1.mga2
+ Revision: 202564
- initial package release
- Created package structure for dnscrypt-proxy.

